Description

Actually, this is a BIG feature request. At the moment it is imho impossible even with realurl to map a domain to a specific language
and vise versa.
Yes, you can set ONE domain to a language but not independently of other domains. Either you use that "feature" for ALL domains or
for none but a mix is not possible.

What i want is something like that:

www.example.de -> L=0
www.example.com -> L=1
www.example.com/fr -> L=2

Now with basic realurl this is NOT possible since it is not possible to map one domain to 2 different languages.

There are customers who want to have only the de domain for german language and the .com domain for the rest. i know this is not
good for SEO reasons.

what i am doing at the moment is to disable the domain thing for realurl for some language to make that HALF work. The language
menu (standard TYPO3) simply adds the wrong baseurl for the other languages if i am on the de domain, then the domains look like:
www.example.de/fr but it should be www.example.com/fr.

This domain-language mapping must to take place in the core for the typolink function and the "special" typolink function in the menu
generation.

oh by the way, multi tree & multi language system so this also has to work across page trees.

Related issues:
related to Core - Bug # 48673: Changed language overlay behaviour in TYPO3 6.* Accepted 2013-05-30

History
#1 - 2015-01-11 11:14 - Mathias Schreiber
- Target version set to 7.3 (Packages)

#2 - 2015-06-15 17:44 - Benjamin Mack
- Target version changed from 7.3 (Packages) to 7.4 (Backend)

#3 - 2015-06-20 19:48 - Benjamin Mack
- Status changed from New to Rejected

This is not part of the core (URL mapping to domain and GET parameters) but RealURL offers _DOMAINS mapping which does exactly what you
http://www.example.de
http://www.example.com
http://www.example.com/fr
http://www.example.de/fr
http://www.example.com/fr


need.

#4 - 2015-06-21 21:34 - Simon Schaufelberger

actually realurl does NOT offer what I need. This needs to be implemented into the core. please reopen!

#5 - 2015-06-21 23:36 - Markus Klein

I'm not sure what the Core should provide in this case. Isn't this more a feature that the URL-beautifier extension must provide?

CoolUri can do something with language-based domains AFAIK.

#6 - 2015-06-21 23:48 - Simon Schaufelberger

typolink function should handle this imho. even without using realurl/cooluri, typo3 should add the correct language specific baseurl.

my idea is to add some logic to sys_domain table and typolink function

#7 - 2015-06-21 23:53 - Markus Klein
- Status changed from Rejected to New

This feature should be part of the whole language topic, which is subject to discussion on the next AC meeting.

#8 - 2015-06-22 00:03 - Simon Schaufelberger

thanx for reopening and talking care about this! good night everyone!

2015-08-04 2/2


